$(document).ready(function() {
	
	//Get the height of our image including the black border
	var thumbnailImgHeight = $(".thumbnail-mask img").outerHeight();
	//Set our mask to that height, and set Overflow to Hidden to create the mask
	$(".thumbnail-mask").height(thumbnailImgHeight);
	$(".thumbnail-mask").css("overflow","hidden");

	//Get the ammount of negative margin for both hover states
	var collapsed = -($(".thumbnail-headers").outerHeight());
	var expanded = -($(".thumbnail-info").outerHeight());
	//Our border colors
	var onBorderColor = "#C2C6CC";
	var offBorderColor = $(".thumbnail").css("border-left-color");

	//Set the default state to collapsed
	$(".thumbnail-info").css("marginTop", collapsed)


	$(".thumbnail a").hover(
		//Mouse enter
		function () {
			$(".thumbnail-info").stop().animate({
				marginTop: expanded
			}, 200);
			$(this).parent().stop().animate({
				borderTopColor: onBorderColor,
				borderRightColor: onBorderColor,
				borderBottomColor: onBorderColor,
				borderLeftColor: onBorderColor
			}, 250);
		},
		//Mouse leave
		function () {
			$(".thumbnail-info").stop().animate({
				marginTop: collapsed
			}, 200);
			$(this).parent().stop().animate({
				borderTopColor: offBorderColor,
				borderRightColor: offBorderColor,
				borderBottomColor: offBorderColor,
				borderLeftColor: offBorderColor
			}, 250);
		}
	);

	
});